(XFAIL_TESTS): Likewise.
* tests/maintclean.test: New file.
2001-05-15 Tom Tromey <tromey@redhat.com>
+ * tests/Makefile.am (TESTS): Added maintclean.test.
+ (XFAIL_TESTS): Likewise.
+ * tests/maintclean.test: New file.
+
Fixes PR automake/175:
* tests/target-cflags.test: Use $needs_gnu_make.
* tests/exsource.test: Use $needs_gnu_make.
AUTOMAKE_OPTIONS = gnits
-XFAIL_TESTS = subdir5.test
+XFAIL_TESTS = subdir5.test maintclean.test
TESTS = \
acinclude.test \
link_f_only.test \
lisp.test \
ltlibobjs.test \
+maintclean.test \
make.test \
makevars.test \
man.test \
AUTOMAKE_OPTIONS = gnits
-XFAIL_TESTS = subdir5.test
+XFAIL_TESTS = subdir5.test maintclean.test
TESTS = \
acinclude.test \
link_f_only.test \
lisp.test \
ltlibobjs.test \
+maintclean.test \
make.test \
makevars.test \
man.test \
--- /dev/null
+#! /bin/sh
+
+# Make sure that `maintainer-clean' removes Makefile.in, configure,
+# and aclocal.m4.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT(Makefile.am)
+AM_INIT_AUTOMAKE(foo,0,no)
+AM_MAKE_INCLUDE
+AC_OUTPUT(Makefile)
+END
+
+: > Makefile.am
+
+$needs_autoconf
+
+set -e
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+
+export ACLOCAL
+export AUTOCONF
+export AUTOMAKE
+
+./configure
+
+$MAKE maintainer-clean
+
+test -f Makefile.in && exit 1
+test -f configure && exit 1
+test -f aclocal.m4 && exit 1
+
+exit 0